Get Business ( STABLE )
curl --request GET \
--url https://api.grailpay.com/api/v3/businesses/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.grailpay.com/api/v3/businesses/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.grailpay.com/api/v3/businesses/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"business": {
"uuid": "a77dbb10-3686-4caf-9acd-52b3cc455db2",
"business_type": "business",
"name": "Acme Inc.",
"trading_name": "Acme Corp",
"payout_type": "batch",
"client_reference_id": "reference_12345",
"address": {
"line_1": "10554 W Quarles Ave",
"line_2": "Suite 123",
"city": "Littleton",
"state": "CO",
"zip": "80127"
},
"timestamps": {
"created_at": "2024-06-25 13:57:03"
}
},
"bank_accounts": [
{
"aggregator_type": "manual",
"uuid": "9b97f121-a449-4b52-9f36-6c55f18394d6",
"is_default": true,
"account_number": "********1234",
"routing_number": "*****6789",
"account_name": "John Doe",
"account_type": "checking",
"timestamps": {
"created_at": "2024-06-25 13:57:03"
}
}
],
"relations": {
"person": {
"uuid": "7c41f6a2-a4b9-4df8-9225-2c1b7312042e"
}
}
},
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Invalid Parameters Received",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Invalid token.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "This business is not available as they have been scheduled for deletion.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "No business was found matching that UUID.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}{
"status": false,
"message": "Something went wrong on our side. Please contact support.",
"data": null,
"errors": null,
"request_id": "2d6a4c39-8fcf-4d80-9189-b4764eac31f2"
}Users
Get Business ( STABLE )
This endpoint will return detail of the business. When making a request to an API for a business’s information, you typically need to provide a unique identifier UUID. The UUID is generated at the time of registration and is associated with the business’s account.
GET
/
api
/
v3
/
businesses
/
{uuid}
Get Business ( STABLE )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Path Parameters
business UUID
Example:
"7c41f6a2-a4b9-4df8-9225-2c1b7312042e"
⌘I
